Get CBDC Account History
get
{baseUrl}/v1/{contractAddress}/{ordsPathPrefix}/getCBDCAccountHistory
Retrieves the history of the specified CBDC account. Generated from `ORDS GET /getCBDCAccountHistory`.
Request
Path Parameters
-
contractAddress(required): string
Path parameter
-
ordsPathPrefix(required): string
Path parameter
Query Parameters
Header Parameters
-
X-Service-Token(required): string
Service token forwarded to ORDS as the Authorization header.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The queried record.
Nested Schema : items
Type:
Show Source
object-
account_address: string
-
account_id: string
-
application_groups: string
-
balance: string
-
bapaccountversion: string
-
besu_function: string
-
block_number: number
-
daily_amount: string
-
daily_transactions: string
-
limit: number
-
max_daily_amount: string
-
max_daily_transactions: string
-
offset: number
-
onhold_balance: string
-
onhold_burn_balance: string
-
org_id: string
-
status: string
-
timestamp: string
(date-time)
Pattern:
^\d{4}-[01]\d-[0123]\dT[012]\d:[0-5]\d:[0-5]\d(.\d+)?(Z|([-+][012]\d:[0-5]\d))$ -
token_id: string
-
total: number
-
transaction_hash: string
-
transaction_id: string
-
transaction_index: number
-
user_id: string
400 Response
The wrapper rejected the request before it could complete a downstream call.
502 Response
The wrapper could not complete the downstream call.
Default Response
ORDS upstream status, content type, and response body are passed through unchanged.